Get the current venue
curl --request GET \
--url https://api.bookingshake.io/api/venues/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bookingshake.io/api/venues/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bookingshake.io/api/venues/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "success",
"data": {
"id": "<string>",
"name": "Le Grand Pavillon",
"email": "<string>",
"phone_number": "<string>",
"default_lang": "fr",
"timezone": "Europe/Paris",
"currency": "EUR",
"prefix": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"postal_code": "<string>",
"city": "<string>",
"country": "<string>",
"country_code": "FR",
"legal_name": "<string>",
"company_type": "SAS",
"company_registration_id": "<string>",
"vat_number": "<string>",
"share_capital": "<string>",
"venues_group_id": "<string>",
"created_at": 123
}
}{
"message": "invalid token"
}{
"message": "Rate limit exceeded",
"data": {
"limit": 10,
"window": "60 seconds",
"remaining": 0,
"resetAt": "2025-11-17T14:30:00.000Z",
"retryAfter": 45
}
}{
"message": "invalid token"
}Venue
Get the current venue
Returns the identity, legal information and integration-relevant configuration of the venue the API key belongs to. The natural first call of any integration (“whoami”). Legal fields use the same names as the seller block of invoice payloads.
GET
/
venues
/
me
Get the current venue
Authorizations
Bearer authentication using your BookingShake API key. Retrieve your API key from Settings > Integrations in your BookingShake dashboard.
⌘I
